> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pipeline

Given the name of the pipeline this API returns the status of the pipeline. It returns the summary and status of all the recent run export jobs for the pipeline.

**Example Response:** Status with no Summary and a Filter

```sh theme={"system"}
curl https://data.mixpanel.com/api/2.0/nessie/pipeline/status \
  -u API_SECRET: \
  -d name="YOUR_PIPELINE_NAME" \
  -d status="running"
```

**Example Response:** Status with no Summary and a Filter

```json theme={"system"}
{
  "canceled": [
    {
      "name": "company-july-2016-backfill-hourly-monoschema",
      "state": "canceled",
      "last_finish": "0000-12-31T16:00:00-08:00",
      "run_at": "2016-07-26T00:00:00-07:00",
      "from_date": "2016-07-26T00:00:00-07:00",
      "to_date": "2016-07-26T00:00:00-07:00"
    },
  ]
}
```


## OpenAPI

````yaml openapi/data-pipelines.openapi.yaml GET /nessie/pipeline/status
openapi: 3.0.2
info:
  title: Data Pipelines API
  description: Create and manage a continious pipeline with an external warehouse.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
  contact:
    url: https://mixpanel.com/get-support
servers:
  - url: https://{server}.mixpanel.com/api/2.0
    description: Mixpanel's data export server.
    variables:
      server:
        default: data
        enum:
          - data
          - data-eu
          - data-in
        description: |
          The server location to be used:
            * `data` - The default (US) servers used for most projects
            * `data-eu` - EU servers if you are enrolled in EU Data Residency
            * `data-in` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
  - ProjectSecret: []
tags:
  - name: Create Pipelines
    description: Operations to add schemas to a project
  - name: Delete Pipelines
    description: Remove a pipeline from a project
  - name: Edit Pipelines
    description: Edit the params for a pipeline from a project
  - name: Pause Pipelines
    description: Pause a running pipeline
  - name: Resume Pipelines
    description: Resume a paused pipeline
  - name: Retrieve Pipelines
    description: Get information about Pipelines
paths:
  /nessie/pipeline/status:
    get:
      tags:
        - Retrieve Pipelines
      summary: Get Pipeline
      operationId: get-warehouse-pipeline-status
      parameters:
        - in: query
          name: project_id
          schema:
            type: integer
          description: Required if using service account to authenticate request.
          required: true
        - in: query
          name: name
          schema:
            type: string
          description: The name that uniquely identifies the pipeline.
          required: true
        - in: query
          name: summary
          schema:
            type: string
          description: 'Default: `false`. Only lists task count by status and no details.'
        - in: query
          name: status
          schema:
            type: array
            items:
              type: string
          description: >
            Filters the tasks by the given status. Valid options for status are
            `pending`, `running`, `retried`, `failed`, `canceled`, and
            `timed_out`.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineStatusResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    PipelineStatusResponse:
      type: object
      properties:
        canceled:
          $ref: '#/components/schemas/PipelineStatusJobList'
        retried:
          $ref: '#/components/schemas/PipelineStatusJobList'
        succeeded:
          $ref: '#/components/schemas/PipelineStatusJobList'
    PipelineStatusJobList:
      type: array
      items:
        type: object
        properties:
          project_id:
            $ref: '#/components/schemas/ProjectId'
          name:
            type: string
          state:
            type: string
          last_finish:
            type: string
          run_at:
            type: string
          from_date:
            type: string
          to_date:
            type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        status:
          type: string
          enum:
            - error
    ProjectId:
      type: number
      description: >-
        Your project id (must be specified when using service account based
        authentication)
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account
    ProjectSecret:
      type: http
      scheme: basic
      description: Project Secret

````